@extends('layouts.auth')

@section('htmlheader_title')
	Register
@endsection

@section('content')
	<div class="row">
		<div class="col-6 m-auto">
			<div class="greyframe titledbox shadow0xb0 text-center">
				<h2 class="cap">Register</h2>

				<form class="row g-0 needs-validation" method="post" novalidate>
					@csrf

					<div class="row">
						<div class="col-12">
							<label for="name" class="form-label">Name</label>
							<div class="input-group has-validation">
								<span class="input-group-text"><i class="bi bi-person-square"></i></span>
								<input type="text" class="form-control @error('name') is-invalid @enderror" id="name" placeholder="Full Name" name="name" value="{{ old('name') }}" required autocomplete="name" autofocus>
								@error('name')
									<span class="invalid-feedback" role="alert">
										{{ $message }}
									</span>
								@else
									<span class="invalid-feedback">
										Your name is required.
									</span>
								@enderror
							</div>
						</div>
					</div>

					<div class="row">
						<div class="col-12">
							<label for="email" class="form-label">Email</label>
							<div class="input-group has-validation">
								<span class="input-group-text"><i class="bi bi-person-badge"></i></span>
								<input type="text" class="form-control @error('email') is-invalid @enderror" id="email" placeholder="Email" name="email" value="{{ old('email') }}" required autocomplete="email">
								@error('email')
									<span class="invalid-feedback" role="alert">
										{{ $message }}
									</span>
								@else
									<span class="invalid-feedback">
										Your email is required.
									</span>
								@enderror
							</div>
						</div>
					</div>

					<div class="row">
						<div class="col-12">
							<label for="password" class="form-label">Password</label>
							<div class="input-group has-validation">
								<span class="input-group-text"><i class="bi bi-key-fill"></i></span>
								<input type="password" class="form-control @error('password') is-invalid @enderror" id="password" placeholder="Password" name="password" required>
								@error('password')
									<span class="invalid-feedback" role="alert">
										{{ $message }}
									</span>
								@else
									<div class="invalid-feedback">
										Your password is required.
									</div>
								@enderror
							</div>
						</div>
					</div>

					<div class="row">
						<div class="col-12">
							<label for="password" class="form-label">Password Again</label>
							<div class="input-group has-validation">
								<span class="input-group-text"><i class="bi bi-key-fill"></i></span>
								<input type="password" class="form-control" id="password_confirmation" placeholder="Password Again" name="password_confirmation" required>
								<div class="invalid-feedback">
									Please re-enter your password.
								</div>
							</div>
						</div>
					</div>

					<div class="row">
						<div class="col-12">
							<a href="{{ url('/') }}" class="btn btn-danger">Cancel</a>
							<button type="submit" name="submit" class="btn btn-success mr-0 float-end">Sign In</button>
						</div>
					</div>
				</form>

				<div class="row">
					<div class="col-12">
						<a class="link-danger" href="{{ url('login') }}">Login</a>
					</div>
				</div>
			</div>
		</div>
	</div>
@endsection