@extends('layouts.app')
@section('htmlheader_title')
	FTN Domains
@endsection

@section('content')
	<div class="row">
		<div class="col-12">
			<h2>About the FTN Clearing House</h2>
			<p>In FTN network addresses, a domain is the 5th dimension and used when a system supports 5D addressing, ie: zone:hub/host@<strong class="highlight">domain</strong>.</p>
			<p>Domains are used with zones to uniquely identify a FTN network.</p>
			<p><small>Some legacy Fidonet software is not 5D aware and may behave unexpectedly when a domain is used</small></p>
		</div>
	</div>

	<div class="row">
		<div class="col-6">
			<p>This system is aware of the following domains:</p>

			@if (\App\Models\Domain::count() == 0)
				<p>There are no domains setup, to <a href="{{ url('ftn/domain/addedit') }}">set up your first</a>.</p>
			@else
				<table class="table monotable">
					<thead>
					<tr>
						<th>ID</th>
						<th>Active</th>
						<th>Domain</th>
						<th>DNS domain</th>
						<th>Zones</th>
					</tr>
					</thead>

					<tbody>
					<tr>
						<td colspan="5"><a href="{{ url('ftn/domain/addedit') }}">Add New Domain</a></td>
					</tr>
					@foreach (\App\Models\Domain::orderBy('name')->cursor() as $oo)
					<tr>
						<td><a href="{{ url('ftn/domain/addedit',[$oo->id]) }}">{{ $oo->id }}</a></td>
						<td>{{ $oo->active ? 'YES' : 'NO' }}</td>
						<td>{{ $oo->name }}</td>
						<td>{{ $oo->dnsdomain }}</td>
						<td>{{ join(', ',$oo->zones->pluck('zone_id')->toArray()) }}</td>
					</tr>
					@endforeach
					</tbody>
				</table>
			@endif
		</div>
	</div>
@endsection

@section('page-scripts')
	<script type="text/javascript">
			$('table tr').click(function() {
				var href = $(this).find('a').attr('href');

				if (href)
					window.location = href;
			});
	</script>
@append
